SnappyInputStream (Snappy for Java 1.0.4.1-SNAPSHOT API)
Date: 2011-09-26

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xerial.snappy
Class SnappyInputStream

    java.lang.Object
      java.io.InputStream
          org.xerial.snappy.SnappyInputStream

All Implemented Interfaces:
  Closeable

    public class SnappyInputStream

extends InputStream

A stream filter for reading data compressed by `SnappyOutputStream`.

Author:
  leo

Constructor Summary
`SnappyInputStream(InputStream input)` Create a filter for reading compressed data as a uncompressed stream

Method Summary
`void` | `close()` Close the stream
`int` | `rawRead(Object array, int byteOffset, int byteLength)` Read uncompressed data into the specified array
`int` | `read()` Reads the next byte of uncompressed data from the input stream.
`int` | `read(byte[] b, int off, int len)` Reads up to len bytes of data from the input stream into an array of bytes.
`int` | `read(double[] d)` Read double array from the stream
`int` | `read(double[] d, int off, int len)` Read double array from the stream
`int` | `read(float[] d)` Read float array from the stream
`int` | `read(float[] d, int off, int len)` Read float array from the stream
`int` | `read(int[] d)` Read int array from the stream
`int` | `read(int[] d, int off, int len)` Read int array from the stream
`int` | `read(long[] d)` Read long array from the stream
`int` | `read(long[] d, int off, int len)` Read long array from the stream
`int` | `read(short[] d)` Read short array from the stream
`int` | `read(short[] d, int off, int len)` Read short array from the stream

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnappyInputStream

    public SnappyInputStream(InputStream input)
                      throws IOException

  Create a filter for reading compressed data as a uncompressed stream

  Parameters:
    `input` -
  Throws:
    `IOException`

Method Detail

### close

    public void close()
               throws IOException

  Close the stream

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Reads up to len bytes of data from the input stream into an array of bytes.

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### rawRead

    public int rawRead(Object array,
                       int byteOffset,
                       int byteLength)
                throws IOException

  Read uncompressed data into the specified array

  Parameters:
    `array` -
    `byteOffset` -
    `byteLength` -
  Returns:
    written bytes
  Throws:
    `IOException`

### read

    public int read(long[] d,
                    int off,
                    int len)
             throws IOException

  Read long array from the stream

  Parameters:
    `d` - input
    `off` - offset
    `len` - the number of long elements to read
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(long[] d)
             throws IOException

  Read long array from the stream

  Parameters:
    `d` -
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(double[] d,
                    int off,
                    int len)
             throws IOException

  Read double array from the stream

  Parameters:
    `d` - input
    `off` - offset
    `len` - the number of double elements to read
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(double[] d)
             throws IOException

  Read double array from the stream

  Parameters:
    `d` -
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(int[] d)
             throws IOException

  Read int array from the stream

  Parameters:
    `d` -
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(int[] d,
                    int off,
                    int len)
             throws IOException

  Read int array from the stream

  Parameters:
    `d` - input
    `off` - offset
    `len` - the number of int elements to read
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(float[] d,
                    int off,
                    int len)
             throws IOException

  Read float array from the stream

  Parameters:
    `d` - input
    `off` - offset
    `len` - the number of float elements to read
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(float[] d)
             throws IOException

  Read float array from the stream

  Parameters:
    `d` -
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(short[] d,
                    int off,
                    int len)
             throws IOException

  Read short array from the stream

  Parameters:
    `d` - input
    `off` - offset
    `len` - the number of short elements to read
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read(short[] d)
             throws IOException

  Read short array from the stream

  Parameters:
    `d` -
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Reads the next byte of uncompressed data from the input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 xerial.org. All Rights Reserved.